Subject: Transputers

From: Dave Snowdon <[email-masked]>
Date: Thu, 24 Oct 91 13:00:59 BST

Here at Manchester we have a small vr group and were experimenting with
some existing transputer hardware built here at Manchester. 
  One thing to be wary of is that the quoted link speed (for a T800) is not
actually acheivable.

  For every 8 bits of data the link engine actually sends 11 bits. Also there
is a 2 bit acknowledgement, so if you're trying to get bi-directional
communication the link engine is effectively sending 13 bits for every useful
8 bits of data. This gives a max transmission rate of something less than 
one megabyte/sec. Because of overheads of setting up a communication you
also need to send messages of several bytes to approach even this.

  Some other hardware we're experimenting with is a frame-buffer which exists
as shared memory between 4 transputers. We can then use 16 links to
send data to the frame buffer.

			Dave

            Dave Snowdon ([email-masked])            
       The Devil may care... But I don't mind (T.S.o.M.)